import 'package:flutter/material.dart';

IconData getIconData(String iconName) {
  switch (iconName) {
    case 'school': return Icons.school;
    case 'laptop_mac': return Icons.laptop_mac;
    case 'laptop_windows': return Icons.laptop_windows;
    case 'book': return Icons.book;
    case 'psychology': return Icons.psychology;
    case 'smartphone': return Icons.smartphone;
    case 'code': return Icons.code;
    case 'computer': return Icons.computer;
    case 'sensors': return Icons.sensors;
    case 'memory': return Icons.memory;
    case 'bar_chart': return Icons.bar_chart;
    case 'smart_toy': return Icons.smart_toy;
    case 'lan': return Icons.lan;
    case 'hub': return Icons.hub;
    case 'share': return Icons.share;
    case 'functions': return Icons.functions;
    case 'security': return Icons.security;
    case 'storage': return Icons.storage;
    case 'calculate': return Icons.calculate;
    case 'code_off': return Icons.code_off;
    case 'build': return Icons.build;
    case 'chat': return Icons.chat;
    case 'mouse': return Icons.mouse;
    case 'translate': return Icons.translate;
    case 'mediation': return Icons.mediation;
    case 'science': return Icons.science;
    case 'web': return Icons.web;
    case 'dns': return Icons.dns;
    case 'wifi': return Icons.wifi;
    case 'settings_system_daydream': return Icons.settings_system_daydream;
    case 'integration_instructions': return Icons.integration_instructions;
    case 'web_asset': return Icons.web_asset;
    case 'rule': return Icons.rule;
    case 'engineering': return Icons.engineering;
    case 'architecture': return Icons.architecture;
    case 'assignment': return Icons.assignment;
    case 'work': return Icons.work;
    case 'lightbulb': return Icons.lightbulb;
    case 'directions_run': return Icons.directions_run;
    case 'analytics': return Icons.analytics;
    case 'camera': return Icons.camera;
    case 'square_foot': return Icons.square_foot;
    case 'description': return Icons.description;
    default: return Icons.folder;
  }
}
